Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jbosscommon51
Class ServiceRefTypeImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jbosscommon51.ServiceRefTypeImplTestCase

    public class ServiceRefTypeImplTestCase

extends java.lang.Object

Constructor Summary
`ServiceRefTypeImplTestCase()`

Method Summary
`void` | `testConfigFile()`
`void` | `testConfigName()`
`void` | `testHandlerChain()`
`void` | `testPortComponentRef()`
`void` | `testServiceImplClass()`
`void` | `testServiceQname()`
`void` | `testServiceRefName()`
`void` | `testWsdlOverride()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceRefTypeImplTestCase

    public ServiceRefTypeImplTestCase()

Method Detail

### testServiceRefName

    public void testServiceRefName()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testServiceImplClass

    public void testServiceImplClass()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testServiceQname

    public void testServiceQname()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testConfigName

    public void testConfigName()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testConfigFile

    public void testConfigFile()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testHandlerChain

    public void testHandlerChain()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPortComponentRef

    public void testPortComponentRef()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testWsdlOverride

    public void testWsdlOverride()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD